summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commitf0137f647c5c52fa3ed0fb7a5e82a7a0f28cc5b6 (patch)
tree45201b0d72ef501e647587420891dacdb5f88137
downloadaur-f0137f647c5c52fa3ed0fb7a5e82a7a0f28cc5b6.tar.gz
Initial PKGBUILD status as of 28.11.2014
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD21
2 files changed, 35 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e840dc6cd67
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = flactagger
+ pkgdesc = A Ruby script for tagging FLAC files
+ pkgver = 3.1.1
+ pkgrel = 1
+ url = http://flactagger.berlios.de/
+ arch = any
+ license = GPL3
+ depends = ruby
+ depends = flac
+ source = http://download.berlios.de/flactagger/flactagger-3.1.1.tar.bz2
+ md5sums = 72282bb6b0b7a29249f9193795cd6d6e
+
+pkgname = flactagger
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..6b2f999981f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
+
+pkgname=flactagger
+pkgver=3.1.1
+pkgrel=1
+pkgdesc="A Ruby script for tagging FLAC files"
+arch=('any')
+url="http://flactagger.berlios.de/"
+license=('GPL3')
+depends=('ruby' 'flac')
+source=(http://download.berlios.de/$pkgname/$pkgname-$pkgver.tar.bz2)
+
+md5sums=('72282bb6b0b7a29249f9193795cd6d6e')
+
+build() {
+ cd ${srcdir}/$pkgname-$pkgver
+
+ ruby setup.rb config || return 1
+ ruby setup.rb setup || return 1
+ ruby setup.rb install --prefix=${pkgdir} || return 1
+}